Package org.drinkless.tdlib

# Class TdApi.MessageProperties

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.MessageProperties

Enclosing class:
  `TdApi`

public static class TdApi.MessageProperties extends TdApi.Object
Contains properties of a message and describes actions that can be done with the message right now.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `boolean`
  `canAddOffer`
  True, if an offer can be added to the message using addOffer.
  `boolean`
  `canAddTasks`
  True, if tasks can be added to the message's checklist using addChecklistTasks if the current user has Telegram Premium subscription.
  `boolean`
  `canBeApproved`
  True, if the message is a suggested post that can be approved by the user using approveSuggestedPost.
  `boolean`
  `canBeCopied`
  True, if content of the message can be copied using inputMessageForwarded or forwardMessages with copy options.
  `boolean`
  `canBeCopiedToSecretChat`
  True, if content of the message can be copied to a secret chat using inputMessageForwarded or forwardMessages with copy options.
  `boolean`
  `canBeDeclined`
  True, if the message is a suggested post that can be declined by the user using declineSuggestedPost.
  `boolean`
  `canBeDeletedForAllUsers`
  True, if the message can be deleted for all users using the method deleteMessages with revoke == true.
  `boolean`
  `canBeDeletedOnlyForSelf`
  True, if the message can be deleted only for the current user while other users will continue to see it using the method deleteMessages with revoke == false.
  `boolean`
  `canBeEdited`
  True, if the message can be edited using the methods editMessageText, editMessageCaption, or editMessageReplyMarkup.
  `boolean`
  `canBeForwarded`
  True, if the message can be forwarded using inputMessageForwarded or forwardMessages without copy options.
  `boolean`
  `canBePaid`
  True, if the message can be paid using inputInvoiceMessage.
  `boolean`
  `canBePinned`
  True, if the message can be pinned or unpinned in the chat using pinChatMessage or unpinChatMessage.
  `boolean`
  `canBeReplied`
  True, if the message can be replied in the same chat and forum topic using inputMessageReplyToMessage.
  `boolean`
  `canBeRepliedInAnotherChat`
  True, if the message can be replied in another chat or forum topic using inputMessageReplyToExternalMessage.
  `boolean`
  `canBeSaved`
  True, if content of the message can be saved locally.
  `boolean`
  `canBeSharedInStory`
  True, if the message can be shared in a story using inputStoryAreaTypeMessage.
  `boolean`
  `canDeleteReactions`
  True, if the user can delete reactions of other users in the message using the method deleteMessageReactionsFromSender.
  `boolean`
  `canEditMedia`
  True, if the message can be edited using the method editMessageMedia.
  `boolean`
  `canEditSchedulingState`
  True, if scheduling state of the message can be edited.
  `boolean`
  `canEditSuggestedPostInfo`
  True, if another price or post send time can be suggested using addOffer.
  `boolean`
  `canGetAuthor`
  True, if author of the message sent on behalf of a chat can be received through getMessageAuthor.
  `boolean`
  `canGetEmbeddingCode`
  True, if code for message embedding can be received using getMessageEmbeddingCode.
  `boolean`
  `canGetLink`
  True, if a link can be generated for the message using getMessageLink.
  `boolean`
  `canGetMediaTimestampLinks`
  True, if media timestamp links can be generated for media timestamp entities in the message text, caption or link preview description using getMessageLink.
  `boolean`
  `canGetMessageThread`
  True, if information about the message thread is available through getMessageThread and getMessageThreadHistory.
  `boolean`
  `canGetPollVoteStatistics`
  True, if the message is a poll and vote statistics are available through getPollVoteStatistics.
  `boolean`
  `canGetReadDate`
  True, if read date of the message can be received through getMessageReadDate.
  `boolean`
  `canGetStatistics`
  True, if message statistics are available through getMessageStatistics and message forwards can be received using getMessagePublicForwards.
  `boolean`
  `canGetVideoAdvertisements`
  True, if advertisements for video of the message can be received through getVideoMessageAdvertisements.
  `boolean`
  `canGetViewers`
  True, if chat members already viewed the message can be received through getMessageViewers.
  `boolean`
  `canMarkTasksAsDone`
  True, if tasks can be marked as done or not done in the message's checklist using markChecklistTasksAsDone if the current user has Telegram Premium subscription.
  `boolean`
  `canRecognizeSpeech`
  True, if speech can be recognized for the message through recognizeSpeech.
  `boolean`
  `canReportChat`
  True, if the message can be reported using reportChat.
  `boolean`
  `canReportReactions`
  True, if reactions on the message can be reported through reportMessageReactions.
  `boolean`
  `canReportSupergroupSpam`
  True, if the message can be reported using reportSupergroupSpam.
  `boolean`
  `canSetFactCheck`
  True, if fact check for the message can be changed through setMessageFactCheck.
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `boolean`
  `hasProtectedContentByCurrentUser`
  True, if content of the message can't be saved locally, because it is protected by the current user; if true, then canBeSaved is false.
  `boolean`
  `hasProtectedContentByOtherUser`
  True, if content of the message can't be saved locally, because it is protected by the other user; if true, then canBeSaved is false.
  `boolean`
  `needShowStatistics`
  True, if message statistics must be available from context menu of the message.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `MessageProperties()`
  Contains properties of a message and describes actions that can be done with the message right now.
  `MessageProperties(boolean canAddOffer, boolean canAddTasks, boolean canBeApproved, boolean canBeCopied, boolean canBeCopiedToSecretChat, boolean canBeDeclined, boolean canBeDeletedOnlyForSelf, boolean canBeDeletedForAllUsers, boolean canBeEdited, boolean canBeForwarded, boolean canBePaid, boolean canBePinned, boolean canBeReplied, boolean canBeRepliedInAnotherChat, boolean canBeSaved, boolean canBeSharedInStory, boolean canDeleteReactions, boolean canEditMedia, boolean canEditSchedulingState, boolean canEditSuggestedPostInfo, boolean canGetAuthor, boolean canGetEmbeddingCode, boolean canGetLink, boolean canGetMediaTimestampLinks, boolean canGetMessageThread, boolean canGetPollVoteStatistics, boolean canGetReadDate, boolean canGetStatistics, boolean canGetVideoAdvertisements, boolean canGetViewers, boolean canMarkTasksAsDone, boolean canRecognizeSpeech, boolean canReportChat, boolean canReportReactions, boolean canReportSupergroupSpam, boolean canSetFactCheck, boolean hasProtectedContentByCurrentUser, boolean hasProtectedContentByOtherUser, boolean needShowStatistics)`
  Contains properties of a message and describes actions that can be done with the message right now.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### canAddOffer

    public boolean canAddOffer
    True, if an offer can be added to the message using addOffer.

  - ### canAddTasks

    public boolean canAddTasks
    True, if tasks can be added to the message's checklist using addChecklistTasks if the current user has Telegram Premium subscription.

  - ### canBeApproved

    public boolean canBeApproved
    True, if the message is a suggested post that can be approved by the user using approveSuggestedPost.

  - ### canBeCopied

    public boolean canBeCopied
    True, if content of the message can be copied using inputMessageForwarded or forwardMessages with copy options.

  - ### canBeCopiedToSecretChat

    public boolean canBeCopiedToSecretChat
    True, if content of the message can be copied to a secret chat using inputMessageForwarded or forwardMessages with copy options.

  - ### canBeDeclined

    public boolean canBeDeclined
    True, if the message is a suggested post that can be declined by the user using declineSuggestedPost.

  - ### canBeDeletedOnlyForSelf

    public boolean canBeDeletedOnlyForSelf
    True, if the message can be deleted only for the current user while other users will continue to see it using the method deleteMessages with revoke == false.

  - ### canBeDeletedForAllUsers

    public boolean canBeDeletedForAllUsers
    True, if the message can be deleted for all users using the method deleteMessages with revoke == true.

  - ### canBeEdited

    public boolean canBeEdited
    True, if the message can be edited using the methods editMessageText, editMessageCaption, or editMessageReplyMarkup. For live location, poll, and checklist messages this fields shows whether editMessageLiveLocation, stopPoll, or editMessageChecklist respectively can be used with this message.

  - ### canBeForwarded

    public boolean canBeForwarded
    True, if the message can be forwarded using inputMessageForwarded or forwardMessages without copy options.

  - ### canBePaid

    public boolean canBePaid
    True, if the message can be paid using inputInvoiceMessage.

  - ### canBePinned

    public boolean canBePinned
    True, if the message can be pinned or unpinned in the chat using pinChatMessage or unpinChatMessage.

  - ### canBeReplied

    public boolean canBeReplied
    True, if the message can be replied in the same chat and forum topic using inputMessageReplyToMessage.

  - ### canBeRepliedInAnotherChat

    public boolean canBeRepliedInAnotherChat
    True, if the message can be replied in another chat or forum topic using inputMessageReplyToExternalMessage.

  - ### canBeSaved

    public boolean canBeSaved
    True, if content of the message can be saved locally.

  - ### canBeSharedInStory

    public boolean canBeSharedInStory
    True, if the message can be shared in a story using inputStoryAreaTypeMessage.

  - ### canDeleteReactions

    public boolean canDeleteReactions
    True, if the user can delete reactions of other users in the message using the method deleteMessageReactionsFromSender.

  - ### canEditMedia

    public boolean canEditMedia
    True, if the message can be edited using the method editMessageMedia.

  - ### canEditSchedulingState

    public boolean canEditSchedulingState
    True, if scheduling state of the message can be edited.

  - ### canEditSuggestedPostInfo

    public boolean canEditSuggestedPostInfo
    True, if another price or post send time can be suggested using addOffer.

  - ### canGetAuthor

    public boolean canGetAuthor
    True, if author of the message sent on behalf of a chat can be received through getMessageAuthor.

  - ### canGetEmbeddingCode

    public boolean canGetEmbeddingCode
    True, if code for message embedding can be received using getMessageEmbeddingCode.

  - ### canGetLink

    public boolean canGetLink
    True, if a link can be generated for the message using getMessageLink.

  - ### canGetMediaTimestampLinks

    public boolean canGetMediaTimestampLinks
    True, if media timestamp links can be generated for media timestamp entities in the message text, caption or link preview description using getMessageLink.

  - ### canGetMessageThread

    public boolean canGetMessageThread
    True, if information about the message thread is available through getMessageThread and getMessageThreadHistory.

  - ### canGetPollVoteStatistics

    public boolean canGetPollVoteStatistics
    True, if the message is a poll and vote statistics are available through getPollVoteStatistics.

  - ### canGetReadDate

    public boolean canGetReadDate
    True, if read date of the message can be received through getMessageReadDate.

  - ### canGetStatistics

    public boolean canGetStatistics
    True, if message statistics are available through getMessageStatistics and message forwards can be received using getMessagePublicForwards.

  - ### canGetVideoAdvertisements

    public boolean canGetVideoAdvertisements
    True, if advertisements for video of the message can be received through getVideoMessageAdvertisements.

  - ### canGetViewers

    public boolean canGetViewers
    True, if chat members already viewed the message can be received through getMessageViewers.

  - ### canMarkTasksAsDone

    public boolean canMarkTasksAsDone
    True, if tasks can be marked as done or not done in the message's checklist using markChecklistTasksAsDone if the current user has Telegram Premium subscription.

  - ### canRecognizeSpeech

    public boolean canRecognizeSpeech
    True, if speech can be recognized for the message through recognizeSpeech.

  - ### canReportChat

    public boolean canReportChat
    True, if the message can be reported using reportChat.

  - ### canReportReactions

    public boolean canReportReactions
    True, if reactions on the message can be reported through reportMessageReactions.

  - ### canReportSupergroupSpam

    public boolean canReportSupergroupSpam
    True, if the message can be reported using reportSupergroupSpam.

  - ### canSetFactCheck

    public boolean canSetFactCheck
    True, if fact check for the message can be changed through setMessageFactCheck.

  - ### hasProtectedContentByCurrentUser

    public boolean hasProtectedContentByCurrentUser
    True, if content of the message can't be saved locally, because it is protected by the current user; if true, then canBeSaved is false.

  - ### hasProtectedContentByOtherUser

    public boolean hasProtectedContentByOtherUser
    True, if content of the message can't be saved locally, because it is protected by the other user; if true, then canBeSaved is false.

  - ### needShowStatistics

    public boolean needShowStatistics
    True, if message statistics must be available from context menu of the message.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### MessageProperties

    public MessageProperties()
    Contains properties of a message and describes actions that can be done with the message right now.

  - ### MessageProperties

    public MessageProperties(boolean canAddOffer, boolean canAddTasks, boolean canBeApproved, boolean canBeCopied, boolean canBeCopiedToSecretChat, boolean canBeDeclined, boolean canBeDeletedOnlyForSelf, boolean canBeDeletedForAllUsers, boolean canBeEdited, boolean canBeForwarded, boolean canBePaid, boolean canBePinned, boolean canBeReplied, boolean canBeRepliedInAnotherChat, boolean canBeSaved, boolean canBeSharedInStory, boolean canDeleteReactions, boolean canEditMedia, boolean canEditSchedulingState, boolean canEditSuggestedPostInfo, boolean canGetAuthor, boolean canGetEmbeddingCode, boolean canGetLink, boolean canGetMediaTimestampLinks, boolean canGetMessageThread, boolean canGetPollVoteStatistics, boolean canGetReadDate, boolean canGetStatistics, boolean canGetVideoAdvertisements, boolean canGetViewers, boolean canMarkTasksAsDone, boolean canRecognizeSpeech, boolean canReportChat, boolean canReportReactions, boolean canReportSupergroupSpam, boolean canSetFactCheck, boolean hasProtectedContentByCurrentUser, boolean hasProtectedContentByOtherUser, boolean needShowStatistics)
    Contains properties of a message and describes actions that can be done with the message right now.
    Parameters:
      `canAddOffer` - True, if an offer can be added to the message using addOffer.
      `canAddTasks` - True, if tasks can be added to the message's checklist using addChecklistTasks if the current user has Telegram Premium subscription.
      `canBeApproved` - True, if the message is a suggested post that can be approved by the user using approveSuggestedPost.
      `canBeCopied` - True, if content of the message can be copied using inputMessageForwarded or forwardMessages with copy options.
      `canBeCopiedToSecretChat` - True, if content of the message can be copied to a secret chat using inputMessageForwarded or forwardMessages with copy options.
      `canBeDeclined` - True, if the message is a suggested post that can be declined by the user using declineSuggestedPost.
      `canBeDeletedOnlyForSelf` - True, if the message can be deleted only for the current user while other users will continue to see it using the method deleteMessages with revoke == false.
      `canBeDeletedForAllUsers` - True, if the message can be deleted for all users using the method deleteMessages with revoke == true.
      `canBeEdited` - True, if the message can be edited using the methods editMessageText, editMessageCaption, or editMessageReplyMarkup. For live location, poll, and checklist messages this fields shows whether editMessageLiveLocation, stopPoll, or editMessageChecklist respectively can be used with this message.
      `canBeForwarded` - True, if the message can be forwarded using inputMessageForwarded or forwardMessages without copy options.
      `canBePaid` - True, if the message can be paid using inputInvoiceMessage.
      `canBePinned` - True, if the message can be pinned or unpinned in the chat using pinChatMessage or unpinChatMessage.
      `canBeReplied` - True, if the message can be replied in the same chat and forum topic using inputMessageReplyToMessage.
      `canBeRepliedInAnotherChat` - True, if the message can be replied in another chat or forum topic using inputMessageReplyToExternalMessage.
      `canBeSaved` - True, if content of the message can be saved locally.
      `canBeSharedInStory` - True, if the message can be shared in a story using inputStoryAreaTypeMessage.
      `canDeleteReactions` - True, if the user can delete reactions of other users in the message using the method deleteMessageReactionsFromSender.
      `canEditMedia` - True, if the message can be edited using the method editMessageMedia.
      `canEditSchedulingState` - True, if scheduling state of the message can be edited.
      `canEditSuggestedPostInfo` - True, if another price or post send time can be suggested using addOffer.
      `canGetAuthor` - True, if author of the message sent on behalf of a chat can be received through getMessageAuthor.
      `canGetEmbeddingCode` - True, if code for message embedding can be received using getMessageEmbeddingCode.
      `canGetLink` - True, if a link can be generated for the message using getMessageLink.
      `canGetMediaTimestampLinks` - True, if media timestamp links can be generated for media timestamp entities in the message text, caption or link preview description using getMessageLink.
      `canGetMessageThread` - True, if information about the message thread is available through getMessageThread and getMessageThreadHistory.
      `canGetPollVoteStatistics` - True, if the message is a poll and vote statistics are available through getPollVoteStatistics.
      `canGetReadDate` - True, if read date of the message can be received through getMessageReadDate.
      `canGetStatistics` - True, if message statistics are available through getMessageStatistics and message forwards can be received using getMessagePublicForwards.
      `canGetVideoAdvertisements` - True, if advertisements for video of the message can be received through getVideoMessageAdvertisements.
      `canGetViewers` - True, if chat members already viewed the message can be received through getMessageViewers.
      `canMarkTasksAsDone` - True, if tasks can be marked as done or not done in the message's checklist using markChecklistTasksAsDone if the current user has Telegram Premium subscription.
      `canRecognizeSpeech` - True, if speech can be recognized for the message through recognizeSpeech.
      `canReportChat` - True, if the message can be reported using reportChat.
      `canReportReactions` - True, if reactions on the message can be reported through reportMessageReactions.
      `canReportSupergroupSpam` - True, if the message can be reported using reportSupergroupSpam.
      `canSetFactCheck` - True, if fact check for the message can be changed through setMessageFactCheck.
      `hasProtectedContentByCurrentUser` - True, if content of the message can't be saved locally, because it is protected by the current user; if true, then canBeSaved is false.
      `hasProtectedContentByOtherUser` - True, if content of the message can't be saved locally, because it is protected by the other user; if true, then canBeSaved is false.
      `needShowStatistics` - True, if message statistics must be available from context menu of the message.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Object`
    Returns:
      this.CONSTRUCTOR